commit:     6bd2f1ba5eadc1d34c729e73eee6ca670ba04f96
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 16 08:38:08 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Tue Jun 16 08:41:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6bd2f1ba

dev-python/importlib_resources: bump to 2.0.1

Package-Manager: Portage-2.3.100, Repoman-2.3.22
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/importlib_resources/Manifest            |  1 +
 .../importlib_resources-2.0.1.ebuild               | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/importlib_resources/Manifest 
b/dev-python/importlib_resources/Manifest
index cef84d9596a..cf272b9a840 100644
--- a/dev-python/importlib_resources/Manifest
+++ b/dev-python/importlib_resources/Manifest
@@ -1,2 +1,3 @@
 DIST importlib_resources-1.4.0.tar.gz 23220 BLAKE2B 
d494615ba39620e772552b09637e280e0b72b16352387592423f824b67af315da1a0749e0dde8e55d3e0e04848a3c43802c12f20c79c5a067de0a3299510a199
 SHA512 
e482f109f387de79d66e69084fab70750ce472f7d665c3a617819ab604e376860c2832a0cab27867165b7ac60947db554ec686d73f182dcaa6935dc14ca3d935
 DIST importlib_resources-1.5.0.tar.gz 23660 BLAKE2B 
aed7a2d730f945505083812355a63d3a88e07b057cf46394f3475135143e535e33dc3ebded24d233797020c805dc35decf5c5ce53758798b093f03f2951daa87
 SHA512 
34d14c1ff3121cc6f9ef1d3d4417831e3476e9facfcc9b35152c28a59a2c75d7723f171f4b48852f79ec46cbf54b066580745744bc54d349e2bfe12a353a9aed
+DIST importlib_resources-2.0.1.tar.gz 26060 BLAKE2B 
739cd7fd90cc12b5b586eb1bf3386b85cde2399e80cfe05cae5173ba5177fb1d15f7e44e7f78473ef03e37d563861f57b7c470782d1aab161eae4c40d530ca29
 SHA512 
7f62c5bb5650dd2689a41ddef2e9131f01d5edc99b284a7a4257fce18190f2e78c38a2c260d6fe5e6db122666435e079c417bd9011e68e35724932854c90a1bd

diff --git a/dev-python/importlib_resources/importlib_resources-2.0.1.ebuild 
b/dev-python/importlib_resources/importlib_resources-2.0.1.ebuild
new file mode 100644
index 00000000000..e86acf448e7
--- /dev/null
+++ b/dev-python/importlib_resources/importlib_resources-2.0.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# This is a backport of Python 3.9's importlib.resources
+PYTHON_COMPAT=( pypy3 python{2_7,3_{6,7,8}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Read resources from Python packages"
+HOMEPAGE="https://importlib-resources.readthedocs.io/en/latest/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86"
+
+RDEPEND="
+       $(python_gen_cond_dep '
+               dev-python/contextlib2[${PYTHON_USEDEP}]
+               dev-python/pathlib2[${PYTHON_USEDEP}]
+               dev-python/singledispatch[${PYTHON_USEDEP}]
+               dev-python/typing[${PYTHON_USEDEP}]
+       ' -2)
+       $(python_gen_cond_dep '
+               dev-python/importlib_metadata[${PYTHON_USEDEP}]
+               dev-python/zipp[${PYTHON_USEDEP}]
+       ' pypy3 python3_{6,7})
+"
+BDEPEND="
+       dev-python/toml[${PYTHON_USEDEP}]
+       >=dev-python/setuptools_scm-3.4.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx docs dev-python/rst-linker dev-python/jaraco-packaging
+
+python_compile() {
+       distutils-r1_python_compile
+       if ! python_is_python3; then
+               rm "${BUILD_DIR}/lib/importlib_resources/_py3.py" || die
+       fi
+}
+
+python_install() {
+       distutils-r1_python_install --skip-build
+}

Reply via email to